AbstractAttributedInterceptorProvider (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class AbstractAttributedInterceptorProvider

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.concurrent.ConcurrentHashMap<String,​Object>
    - - org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider

- All Implemented Interfaces:
    `Serializable`, `ConcurrentMap<String,​Object>`, `Map<String,​Object>`, `InterceptorProvider`
  Direct Known Subclasses:
    `EndpointImpl`, `ServiceImpl`

      public abstract class AbstractAttributedInterceptorProvider
      extends ConcurrentHashMap<String,​Object>
      implements InterceptorProvider

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

      `ConcurrentHashMap.KeySetView<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAttributedInterceptorProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `List<Interceptor<? extends Message>>` | `getInFaultInterceptors()` | Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
    `List<Interceptor<? extends Message>>` | `getInInterceptors()` | Returns the list of interceptors attached to the incoming interceptor chain of the object.
    `List<Interceptor<? extends Message>>` | `getOutFaultInterceptors()` | Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
    `List<Interceptor<? extends Message>>` | `getOutInterceptors()` | Returns the list of interceptors attached to the outgoing interceptor chain of the object.
    `int` | `hashCode()` |
    `Object` | `put​(String s, Object o)` |
    `void` | `setInFaultInterceptors​(List<Interceptor<? extends Message>> interceptors)` |
    `void` | `setInInterceptors​(List<Interceptor<? extends Message>> interceptors)` |
    `void` | `setOutFaultInterceptors​(List<Interceptor<? extends Message>> interceptors)` |
    `void` | `setOutInterceptors​(List<Interceptor<? extends Message>> interceptors)` |

    - ### Methods inherited from class java.util.concurrent.ConcurrentHashMap

      `clear, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, get, getOrDefault, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, toString, values`

    - ### Methods inherited from class java.util.AbstractMap

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAttributedInterceptorProvider

          public AbstractAttributedInterceptorProvider()

  - ### Method Detail

    - #### put

          public Object put​(String s,
                            Object o)

      Specified by:
        `put` in interface `Map<String,​Object>`
      Overrides:
        `put` in class `ConcurrentHashMap<String,​Object>`

    - #### getOutFaultInterceptors

          public List<Interceptor<? extends Message>> getOutFaultInterceptors()

      Description copied from interface: `InterceptorProvider`
      Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
      Specified by:
        `getOutFaultInterceptors` in interface `InterceptorProvider`
      Returns:
        `List` outgoing fault interceptor chain

    - #### getInFaultInterceptors

          public List<Interceptor<? extends Message>> getInFaultInterceptors()

      Description copied from interface: `InterceptorProvider`
      Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
      Specified by:
        `getInFaultInterceptors` in interface `InterceptorProvider`
      Returns:
        `List` incoming fault interceptor chain

    - #### getInInterceptors

          public List<Interceptor<? extends Message>> getInInterceptors()

      Description copied from interface: `InterceptorProvider`
      Returns the list of interceptors attached to the incoming interceptor chain of the object.
      Specified by:
        `getInInterceptors` in interface `InterceptorProvider`
      Returns:
        `List` incoming interceptor chain

    - #### getOutInterceptors

          public List<Interceptor<? extends Message>> getOutInterceptors()

      Description copied from interface: `InterceptorProvider`
      Returns the list of interceptors attached to the outgoing interceptor chain of the object.
      Specified by:
        `getOutInterceptors` in interface `InterceptorProvider`
      Returns:
        `List` outgoing interceptor chain

    - #### setInInterceptors

          public void setInInterceptors​(List<Interceptor<? extends Message>> interceptors)

    - #### setInFaultInterceptors

          public void setInFaultInterceptors​(List<Interceptor<? extends Message>> interceptors)

    - #### setOutInterceptors

          public void setOutInterceptors​(List<Interceptor<? extends Message>> interceptors)

    - #### setOutFaultInterceptors

          public void setOutFaultInterceptors​(List<Interceptor<? extends Message>> interceptors)

    - #### equals

          public boolean equals​(Object o)

      Specified by:
        `equals` in interface `Map<String,​Object>`
      Overrides:
        `equals` in class `ConcurrentHashMap<String,​Object>`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<String,​Object>`
      Overrides:
        `hashCode` in class `ConcurrentHashMap<String,​Object>`